Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class MacroDef.Attribute

    java.lang.Object
      org.apache.tools.ant.taskdefs.MacroDef.Attribute

Enclosing class:
  MacroDef

    public static class MacroDef.Attribute

extends java.lang.Object

An attribute for the MacroDef task.

Constructor Summary
`MacroDef.Attribute()`

Method Summary
`boolean` | `equals(java.lang.Object obj)` equality method
`java.lang.String` | `getDefault()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`int` | `hashCode()`
`void` | `setDefault(java.lang.String defaultValue)` The default value to use if the parameter is not used in the templated instance.
`void` | `setDescription(java.lang.String desc)`
`void` | `setName(java.lang.String name)` The name of the attribute.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MacroDef.Attribute

    public MacroDef.Attribute()

Method Detail

### setName

    public void setName(java.lang.String name)

  The name of the attribute.

  Parameters:
    `name` - the name of the attribute

### getName

    public java.lang.String getName()

  Returns:
    the name of the attribute

### setDefault

    public void setDefault(java.lang.String defaultValue)

  The default value to use if the parameter is not used in the templated instance.

  Parameters:
    `defaultValue` - the default value

### getDefault

    public java.lang.String getDefault()

  Returns:
    the default value, null if not set

### setDescription

    public void setDescription(java.lang.String desc)

  Parameters:
    `desc` - Description of the element.
  Since:
    ant 1.6.1

### getDescription

    public java.lang.String getDescription()

  Returns:
    the description of the element, or `null` if no description is available.
  Since:
    ant 1.6.1

### equals

    public boolean equals(java.lang.Object obj)

  equality method

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - an `Object` value
  Returns:
    a `boolean` value

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code value for this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD